<?php
namespace Factory;

use Teknisa\Model\Teknisa\Entities\OmParamOrg as ParamOrgEntity;

class ParamOrg {

    public static function save(ParamOrgEntity $organizationParameters = null, $currentOrgId, $codOperador, $dateNow, $useRestriction, $msgLoginEmailSuc = '', $msgLoginEmailErr = '')
    {
        if ($organizationParameters === null){
            $organizationParameters = new ParamOrgEntity();
            $organizationParameters->setCdoperinclusao($codOperador);
            $organizationParameters->setNrorginclusao($currentOrgId);
            $organizationParameters->setDtinclusao($dateNow);
            $organizationParameters->setNrorg($currentOrgId);
        }
        $organizationParameters->setIdutiprestriction($useRestriction);
        $organizationParameters->setDsmsgloginemailsuc($msgLoginEmailSuc);
        $organizationParameters->setDsmsgloginemailerr($msgLoginEmailErr);
        $organizationParameters->setCdoperultatu($codOperador);
        $organizationParameters->setNrorgultatu($currentOrgId);
        $organizationParameters->setDtultatu($dateNow);
        return $organizationParameters;
    }
}
